Bug 172682 - devel/ftnchek fails to specify containing group
Summary: devel/ftnchek fails to specify containing group
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Brendan Fabeny
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-14 05:50 UTC by jszhao
Modified: 2013-03-05 00:29 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jszhao 2012-10-14 05:50:00 UTC
When I try install ftnchek using ports.

$ cd /usr/ports/devel/ftnchek
$ make install clean

I get the following message.

In toplevel form:
ftnchek.el:104:1:Warning: defcustom for `ftnchek-buffer-flags' fails to
    specify containing group
ftnchek.el:107:1:Warning: defcustom for `ftnchek-subprogram-flags' fails to
    specify containing group
ftnchek.el:110:1:Warning: defcustom for `ftnchek-f77-flags' fails to specify
    containing group

In ftnchek-region:
ftnchek.el:169:143:Warning: `compile-internal' is an obsolete function (as of
    22.1); use `compilation-start' instead.
Wrote /usr/local/share/emacs/site-lisp/ftnchek.elc

How-To-Repeat: Just run the commands as shown above.
Comment 1 Edwin Groothuis freebsd_committer 2012-10-14 05:50:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bf

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 b. f. 2012-11-14 00:06:01 UTC
Usually more context is needed to find the problem, but in this case I
think I can guess at the source: are you building the port on a live
system (as opposed to a tinderbox) that has some version of (x)emacs
installed?  If so, what version?  And do you hope to use ftnchek with
this editor?

b.
Comment 3 dfilter service freebsd_committer 2013-01-17 08:27:48 UTC
Author: bf
Date: Thu Jan 17 08:27:35 2013
New Revision: 310541
URL: http://svnweb.freebsd.org/changeset/ports/310541

Log:
  fix the plist by disabling byte-compilation of ftnchek.el when (x)emacs
  is present [1]; trim header
  
  PR:		172682 [1]

Modified:
  head/devel/ftnchek/Makefile   (contents, props changed)

Modified: head/devel/ftnchek/Makefile
==============================================================================
--- head/devel/ftnchek/Makefile	Thu Jan 17 07:17:24 2013	(r310540)
+++ head/devel/ftnchek/Makefile	Thu Jan 17 08:27:35 2013	(r310541)
@@ -1,7 +1,4 @@
-# New ports collection makefile for:	ftnchek
-# Date created:		4 May 1998
-# Whom:			kargl@apl.washington.edu
-#
+# Created by: kargl@apl.washington.edu
 # $FreeBSD$
 
 PORTNAME=	ftnchek
@@ -22,6 +19,7 @@ MAN1=		dcl2inc.1 ftnchek.1
 
 GNU_CONFIGURE=	yes
 CONFIGURE_ARGS=	--libdir=${PREFIX}/share
-MAKE_ARGS=	OPT="${CFLAGS}" CC="${CC}"
+CONFIGURE_ENV=	ac_cv_path_CC="${CC}" ac_cv_path_EMACS="${TRUE}"
+MAKE_ARGS=	OPT="${CFLAGS}"
 
 .include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 b. f. 2013-01-17 08:44:49 UTC
I have disabled the automatic byte-compilation of ftnchek.el to fix
the plist, and this should have the side effect of silencing the
warnings.  I am not an emacs user, but I am willing to try to fix
non-cosmetic bugs in ftnchek.el if there are enough users of the lisp
features.  If you are using it and have observed errors, let me know.
Otherwise I'll close the PR.

Regards,
               b.
Comment 5 Brendan Fabeny freebsd_committer 2013-03-05 00:29:09 UTC
State Changed
From-To: open->closed

Byte-compilation disabled.  Feedback timeout with regard to revisions of 
the (x)emacs components.